Distribution:	CCux

Packager:	Stefan Gottwald <sg3881@web.de>
Summary:	PCMCIA tools for Linux
Name:		pcmcia-cs
Version:	3.2.8
Release:	1
Group:		System/Configuration/Hardware
License:	GPL
Source:		pcmcia-cs-3.2.8.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
Patch0:		pcmcia-cs-3.2.8-gcc4.patch
Patch1: 	pcmcia-cs-3.2.8-includes.patch
Patch2: 	pcmcia-cs-3.2.8-ldflags.patch
#Patch3:		pcmcia-cs-3.2.8-move-pnp-ids.patch
#Patch4:		pcmcia-cs-3.2.8-tools-only.patch
Patch3:		pcmcia-cs-3.2.8-x11.patch

%description
PCMCIA Tools for Linux

%prep

%setup -n %{name}-%version
%patch0 -p1 
%patch1 -p1
%patch2 -p1
#%patch3 -p1
#%patch4 -p1
%patch3 -p1

sed -i -e "s:include/linux/modvers:include/config/modvers:" Configure
sed -i -e 's:usr/man:usr/share/man:g' Configure

%build
./Configure -n --target=${RPM_BUILD_ROOT} --srctree --kernel=/usr/src/linux \
--arch=i386 --uflags="$CFLAGS" --kflags="-Wall -Wstrict-prototypes -O2 -fomit-frame-pointer" \
--apm --trust --pnp --cardbus
sed -i -e '/^HAS_FORMS/d ; s/^FLIBS=".*"/FLIBS=""/' config.out config.mk
make DO_ORINOCO=1 all

%install
rm -rf ${RPM_BUILD_ROOT}
make PREFIX=${RPM_BUILD_ROOT} install
rm ${RPM_BUILD_ROOT}/etc/modules.conf
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/init.d
mv ${RPM_BUILD_ROOT}/etc/rc.d/rc.pcmcia ${RPM_BUILD_ROOT}/etc/rc.d/init.d/pcmcia
sed -i "s/PCIC\=/PCIC\=yenta_socket/" ${RPM_BUILD_ROOT}/etc/rc.d/init.d/pcmcia

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc BUGS CHANGES COPYING LICENSE MAINTAINERS README README-2.4 SUPPORTED.CARDS doc
/etc/rc.d/init.d/pcmcia
/etc/pcmcia/cis/COMpad2.dat
/etc/pcmcia/cis/COMpad4.dat
/etc/pcmcia/cis/PCMLM28.dat
/etc/pcmcia/cis/LA-PCM.dat
/etc/pcmcia/cis/E-CARD.dat
/etc/pcmcia/cis/RS-COM-2P.dat
/etc/pcmcia/cis/tamarack.dat
/etc/pcmcia/cis/MT5634ZLX.dat
/etc/pcmcia/cis/3CXEM556.dat
/etc/pcmcia/cis/DP83903.dat
/etc/pcmcia/cis/NE2K.dat
/etc/pcmcia/cis/3CCFEM556.dat
/etc/pcmcia/cis/PE-200.dat
/etc/pcmcia/cis/PE520.dat
/etc/pcmcia/ftl
/etc/pcmcia/ide
/etc/pcmcia/scsi
/etc/pcmcia/ide.opts
/etc/pcmcia/wireless.opts
/etc/pcmcia/config
/etc/pcmcia/ieee1394
/etc/pcmcia/network.opts
/etc/pcmcia/network
/etc/pcmcia/memory
/etc/pcmcia/config.opts
/etc/pcmcia/serial
/etc/pcmcia/shared
/etc/pcmcia/wireless
/etc/pcmcia/parport
/etc/pcmcia/serial.opts
/etc/pcmcia/memory.opts
/etc/pcmcia/ieee1394.opts
/etc/pcmcia/parport.opts
/etc/pcmcia/ftl.opts
/etc/pcmcia/scsi.opts
/usr/share/man/man4/tc575_cb.4.gz
/usr/share/man/man4/airo_cs.4.gz
/usr/share/man/man4/iflash2+_mtd.4.gz
/usr/share/man/man4/airo.4.gz
/usr/share/man/man4/wvlan_cs.4.gz
/usr/share/man/man4/pcmcia_core.4.gz
/usr/share/man/man4/ray_cs.4.gz
/usr/share/man/man4/netwave_cs.4.gz
/usr/share/man/man4/dummy_cs.4.gz
/usr/share/man/man4/dummy_cb.4.gz
/usr/share/man/man4/wavelan_cs.4.gz
/usr/share/man/man4/memory_cb.4.gz
/usr/share/man/man4/tc574_cs.4.gz
/usr/share/man/man4/pcnet_cs.4.gz
/usr/share/man/man4/memory_cs.4.gz
/usr/share/man/man4/fmvj18x_cs.4.gz
/usr/share/man/man4/tc589_cs.4.gz
/usr/share/man/man4/aha152x_cs.4.gz
/usr/share/man/man4/xirc2ps_cs.4.gz
/usr/share/man/man4/serial_cs.4.gz
/usr/share/man/man4/i82365.4.gz
/usr/share/man/man4/smc91c92_cs.4.gz
/usr/share/man/man4/iflash2_mtd.4.gz
/usr/share/man/man4/ibmtr_cs.4.gz
/usr/share/man/man4/tcic.4.gz
/usr/share/man/man4/axnet_cs.4.gz
/usr/share/man/man4/ftl_cs.4.gz
/usr/share/man/man5/stab.5.gz
/usr/share/man/man5/pcmcia.5.gz
/usr/share/man/man8/cardctl.8.gz
/usr/share/man/man8/ftl_format.8.gz
/usr/share/man/man8/ide_info.8.gz
/usr/share/man/man8/pack_cis.8.gz
/usr/share/man/man8/setpnp.8.gz
/usr/share/man/man8/cardmgr.8.gz
/usr/share/man/man8/ifuser.8.gz
/usr/share/man/man8/ftl_check.8.gz
/usr/share/man/man8/lspnp.8.gz
/usr/share/man/man8/scsi_info.8.gz
/usr/share/man/man8/pcic_probe.8.gz
/usr/share/man/man8/dump_cis.8.gz
/usr/share/man/man8/pcinitrd.8.gz
/usr/share/man/man8/ifport.8.gz
/usr/share/pnp.ids
/usr/bin/gpccard
/sbin/scsi_info
/sbin/lspnp
/sbin/pack_cis
/sbin/ide_info
/sbin/pcic_probe
/sbin/ifport
/sbin/ifuser
/sbin/pcinitrd
/sbin/ftl_check
/sbin/setpnp
/sbin/ftl_format
/sbin/cardctl
/sbin/cardmgr
/sbin/dump_cis

%changelog
* Tue Jun 07 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> - 3.2.8-1
- Version Update
* Fri Mar 18 2005 Christian Metzen <metzench@ccux-linux.de> - 3.2.5-3
- Fixed Minor Bug
* Thu Mar 17 2005 Christian Metzen <metzench@ccux-linux.de> - 3.2.5-2
- Tweaked SPEC File more CCux specific
* Sun Mar 06 2005 Stefan Gottwald <sg3881@web.de> - 3.2.5-1
- Initial Release
